Update Integration Details

Updates integration configuration parameters such as integration name, container name, and connection string.

PUT /partner-integration/product-id/integration

Where product-id is the product ID obtained after created a CDR product.

Input ParametersInput Parameters

Parameter

Optional/

Mandatory

Data Type

Description

bucketName={value} Optional, if accessPointArn is provided. String Provide the name of the AWS S3 bucket being used for integration.
bucketRegion={value} Mandatory String Provide the region where the AWS S3 bucket is located.
roleArn={value} Mandatory String Specify the ARN of the cross-account role which you created in your AWS account.
accessPointArn = {value} Optional, if bucketName is provided. string

Provide the Access Point ARN. Steps to obtain this value are documented in step 4 of the AWS S3 Configuration.

When both bucketName and accessPointArn are set, the bucketName value is prioritized.

SampleSample

API Request

"curl -X PUT""<qualys_gateway_url>/partner-integration/product-id/integration""-H""Authorization: Bearer <token>"	  

Request Body

{
   "integrationType": "aws_s3",
   "bucketName": "qualys-cdr-findings",
   "bucketRegion": "us-east-2",
   "roleArn": "arn:aws:iam::xxxxxxxxxxx:role/cdr-role-rc"
}	  
	  

Response

{
   "message":"Updated integration config data."
}